## telepathy-ofono 0.2+14.04.20131205.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 pkg_check_modules(PULSEAUDIO libpulse)
 if (PULSEAUDIO_FOUND)
     add_definitions(-DUSE_PULSEAUDIO)
+    set(USE_PULSEAUDIO ON)
     include_directories(${PULSEAUDIO_INCLUDE_DIRS})
 endif (PULSEAUDIO_FOUND)
 
@@ -42,8 +43,14 @@
 find_library(TELEPATHY_QT5_SERVICE_LIBRARIES telepathy-qt5-service)
 find_library(OFONO_QT_LIBRARIES ofono-qt)
 
-add_executable(telepathy-ofono main.cpp protocol.cpp connection.cpp ofonotextchannel.cpp ofonocallchannel.cpp voicemailiface.cpp speakeriface.cpp mmsdmanager.cpp mmsdservice.cpp mmsdmessage.cpp qpulseaudioengine.cpp)
+if(USE_PULSEAUDIO)
+    add_executable(telepathy-ofono main.cpp protocol.cpp connection.cpp ofonotextchannel.cpp ofonocallchannel.cpp voicemailiface.cpp speakeriface.cpp mmsdmanager.cpp mmsdservice.cpp mmsdmessage.cpp qpulseaudioengine.cpp phoneutils.cpp)
+else(USE_PULSEAUDIO)
+    add_executable(telepathy-ofono main.cpp protocol.cpp connection.cpp ofonotextchannel.cpp ofonocallchannel.cpp voicemailiface.cpp speakeriface.cpp mmsdmanager.cpp mmsdservice.cpp mmsdmessage.cpp phoneutils.cpp)
+endif(USE_PULSEAUDIO)
 qt5_use_modules(telepathy-ofono Core DBus)
+
+enable_testing()
 
 target_link_libraries(telepathy-ofono ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES} ${WAUDIO_LIBRARIES} -ltelepathy-qt5 ${TELEPATHY_QT5_SERVICE_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES})
 install(TARGETS telepathy-ofono DESTINATION ${DAEMON_DIR})
@@ -51,3 +58,5 @@
 configure_file(ofono.service.in org.freedesktop.Telepathy.ConnectionManager.ofono.service)
 install (FILES ofono.manager DESTINATION share/telepathy/managers)
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.ConnectionManager.ofono.service DESTINATION share/dbus-1/services)
+
+add_subdirectory(tests)
