## telepathy-ofono 0.2+15.04.20150331

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 cmake_minimum_required(VERSION 2.8)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 set(TELEPATHY_OFONO telepathy-ofono)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -32,12 +33,6 @@
 find_package(Qt5Core)
 find_package(Qt5DBus)
 add_definitions(-DQT_NO_KEYWORDS)
-
-check_include_file_cxx("waudio.h" USE_AUDIOFLINGER)
-if (USE_AUDIOFLINGER)
-    add_definitions(-DUSE_AUDIOFLINGER)
-    set(WAUDIO_LIBRARIES -lwaudio)
-endif (USE_AUDIOFLINGER)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
@@ -89,13 +84,16 @@
    ofonotextchannel.cpp
    ofonocallchannel.cpp
    ofonoconferencecallchannel.cpp
+   emergencymodeiface.cpp
    voicemailiface.cpp
-   speakeriface.cpp
+   audiooutputsiface.cpp
    mmsdmanager.cpp
    mmsdservice.cpp
    mmsdmessage.cpp
    pendingmessagesmanager.cpp
    phoneutils.cpp
+   powerdaudiomodemediator.cpp
+   powerddbus.cpp
    sqlitedatabase.cpp
    ussdiface.cpp
    ${telepathyfono_RES})
