=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 if (DBUS_RUNNER)
     generate_test(ConnectionTest True telepathyhelper.cpp ofonomockcontroller.cpp)
+    generate_test(ProtocolTest True telepathyhelper.cpp)
     generate_test(MessagesTest True telepathyhelper.cpp ofonomockcontroller.cpp handler.cpp approvertext.cpp)
     generate_test(CallTest True telepathyhelper.cpp ofonomockcontroller.cpp handler.cpp approvercall.cpp)
 endif(DBUS_RUNNER)
