## telepathy-ofono 0.2+17.04.20161109

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 find_package(LibPhoneNumber REQUIRED)
 find_package(Qt5Core)
 find_package(Qt5DBus)
+find_package(Qt5Network)
 add_definitions(-DQT_NO_KEYWORDS)
 
 find_package(PkgConfig REQUIRED)
@@ -93,6 +94,7 @@
    mmsdmanager.cpp
    mmsdservice.cpp
    mmsdmessage.cpp
+   mmsgroupcache.cpp
    pendingmessagesmanager.cpp
    phoneutils.cpp
    powerdaudiomodemediator.cpp
@@ -111,7 +113,7 @@
 
 enable_testing()
 
-target_link_libraries(${TELEPATHY_OFONO} ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES} ${WAUDIO_LIBRARIES} -ltelepathy-qt5 ${TELEPATHY_QT5_SERVICE_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES} ${SQLITE3_LIBRARIES} ${LibPhoneNumber_LIBRARIES})
+target_link_libraries(${TELEPATHY_OFONO} ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES} ${WAUDIO_LIBRARIES} -ltelepathy-qt5 ${TELEPATHY_QT5_SERVICE_LIBRARIES}  ${Qt5Network_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES} ${SQLITE3_LIBRARIES} ${LibPhoneNumber_LIBRARIES})
 install(TARGETS ${TELEPATHY_OFONO} DESTINATION ${DAEMON_DIR})
 
 configure_file(ofono.service.in org.freedesktop.Telepathy.ConnectionManager.ofono.service)
