## telepathy-ofono 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
-project(telepathy-ofono)
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
+project(telepathy-ofono VERSION 0.3.1 LANGUAGES CXX C)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 set(TELEPATHY_OFONO telepathy-ofono)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -31,42 +33,27 @@
 ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
 
 find_package(LibPhoneNumber REQUIRED)
-find_package(Qt5Core)
-find_package(Qt5DBus)
-find_package(Qt5Network)
+find_package(Qt5 REQUIRED COMPONENTS Core DBus Network)
 add_definitions(-DQT_NO_KEYWORDS)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
 pkg_check_modules(SQLITE3 REQUIRED sqlite3)
 pkg_check_modules(MC_PLUGINS REQUIRED mission-control-plugins)
-
-pkg_check_modules(PULSEAUDIO libpulse)
-if (PULSEAUDIO_FOUND)
-    add_definitions(-DUSE_PULSEAUDIO)
-    set(USE_PULSEAUDIO ON)
-    include_directories(${PULSEAUDIO_INCLUDE_DIRS})
-endif (PULSEAUDIO_FOUND)
+pkg_check_modules(OFONO_QT REQUIRED ofono-qt)
 
 find_program(DBUS_RUNNER dbus-test-runner)
-
-if(NOT DAEMON_DIR)
-  set(DAEMON_DIR lib/telepathy)
-endif(NOT DAEMON_DIR)
 
 set(CMAKE_AUTOMOC ON)
 
 include_directories(${TP_QT5_INCLUDE_DIRS})
-include_directories(${Qt5Core_INCLUDE_DIRS})
-include_directories(${Qt5DBus_INCLUDE_DIRS})
 include_directories(${SQLITE3_INCLUDE_DIRS})
 include_directories(${LibPhoneNumber_INCLUDE_DIRS})
 include_directories(/usr/include/telepathy-qt5/)
-include_directories(/usr/include/ofono-qt/)
+include_directories(${OFONO_QT_INCLUDE_DIRS})
 
 find_library(TELEPATHY_QT5_LIBRARIES telepathy-qt5)
 find_library(TELEPATHY_QT5_SERVICE_LIBRARIES telepathy-qt5-service)
-find_library(OFONO_QT_LIBRARIES ofono-qt)
 
 qt5_add_resources(telepathyfono_RES sqlitetelepathyofono.qrc countrycodes.qrc)
 
@@ -82,6 +69,7 @@
 add_custom_target(qrc_update DEPENDS ${QRC_FILE} schema_update)
 
 set(TELEPATHY_OFONO_SRC 
+   cellbroadcastreceiver.cpp
    main.cpp
    protocol.cpp
    connection.cpp
@@ -90,31 +78,24 @@
    ofonoconferencecallchannel.cpp
    emergencymodeiface.cpp
    voicemailiface.cpp
-   audiooutputsiface.cpp
    mmsdmanager.cpp
    mmsdservice.cpp
    mmsdmessage.cpp
    mmsgroupcache.cpp
    pendingmessagesmanager.cpp
    phoneutils.cpp
-   powerdaudiomodemediator.cpp
-   powerddbus.cpp
    sqlitedatabase.cpp
    ussdiface.cpp
    ${telepathyfono_RES})
 
-if(USE_PULSEAUDIO)
-    add_executable(${TELEPATHY_OFONO} qpulseaudioengine.cpp ${TELEPATHY_OFONO_SRC})
-else(USE_PULSEAUDIO)
-    add_executable(${TELEPATHY_OFONO} ${TELEPATHY_OFONO_SRC})
-endif(USE_PULSEAUDIO)
+add_executable(${TELEPATHY_OFONO} ${TELEPATHY_OFONO_SRC})
 qt5_use_modules(${TELEPATHY_OFONO} Core DBus Sql)
 add_dependencies(${TELEPATHY_OFONO} schema_update qrc_update)
 
 enable_testing()
 
-target_link_libraries(${TELEPATHY_OFONO} ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES} ${WAUDIO_LIBRARIES} -ltelepathy-qt5 ${TELEPATHY_QT5_SERVICE_LIBRARIES}  ${Qt5Network_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES} ${SQLITE3_LIBRARIES} ${LibPhoneNumber_LIBRARIES})
-install(TARGETS ${TELEPATHY_OFONO} DESTINATION ${DAEMON_DIR})
+target_link_libraries(${TELEPATHY_OFONO} Qt5::Core Qt5::DBus -ltelepathy-qt5 ${TELEPATHY_QT5_SERVICE_LIBRARIES}  Qt5::Network ${OFONO_QT_LIBRARIES} ${SQLITE3_LIBRARIES} ${LibPhoneNumber_LIBRARIES})
+install(TARGETS ${TELEPATHY_OFONO} DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
 
 configure_file(ofono.service.in org.freedesktop.Telepathy.ConnectionManager.ofono.service)
 install (FILES ofono.manager DESTINATION share/telepathy/managers)
