=== mc-plugin/CMakeLists.txt ===
execute_process(COMMAND pkg-config --variable=plugindir mission-control-plugins
     OUTPUT_VARIABLE MC_PLUGINS_DIR)
string(REPLACE "\n" "" MC_PLUGINS_DIR ${MC_PLUGINS_DIR})

include_directories(${MC_PLUGINS_INCLUDE_DIRS})

set(MCP_ACCOUNT_MANAGER_OFONO_NAME mcp-account-manager-ofono)

set(MC_OFONO_PLUGIN_SRC
    mission-control-plugin.c
    mcp-account-manager-ofono.c
)

set(MC_OFONO_PLUGIN_HDRS
    mcp-account-manager-ofono.h
)

add_library(${MCP_ACCOUNT_MANAGER_OFONO_NAME} SHARED ${MC_OFONO_PLUGIN_SRC}
    ${MC_OFONO_PLUGIN_HDRS})
set_target_properties(${MCP_ACCOUNT_MANAGER_OFONO_NAME} PROPERTIES PREFIX "")
target_link_libraries(${MCP_ACCOUNT_MANAGER_OFONO_NAME} ${MC_PLUGINS_LIBRARIES})
install(TARGETS ${MCP_ACCOUNT_MANAGER_OFONO_NAME} DESTINATION ${MC_PLUGINS_DIR})

set(MCP_ACCOUNT_MANAGER_OFONO_RING_NAME mcp-account-manager-ofono-on-ring)

set(MC_OFONO_RING_PLUGIN_SRC
    mission-control-plugin.c
    mcp-account-manager-ofono-on-ring.c
)

add_library(${MCP_ACCOUNT_MANAGER_OFONO_RING_NAME} SHARED
    ${MC_OFONO_RING_PLUGIN_SRC} ${MC_OFONO_PLUGIN_HDRS})
set_target_properties(${MCP_ACCOUNT_MANAGER_OFONO_RING_NAME} PROPERTIES
    PREFIX "")
target_link_libraries(${MCP_ACCOUNT_MANAGER_OFONO_RING_NAME}
    ${MC_PLUGINS_LIBRARIES})
install(TARGETS ${MCP_ACCOUNT_MANAGER_OFONO_RING_NAME} DESTINATION
    ${MC_PLUGINS_DIR})
