=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,10 @@
     ${CMAKE_SOURCE_DIR}
     )
 
+find_package(Qt5 REQUIRED COMPONENTS Test)
+
 macro(generate_test TESTNAME USE_DBUS)
     add_executable(${TESTNAME} ${ARGN} ${TESTNAME}.cpp)
-    qt5_use_modules(${TESTNAME} Core DBus Test)
     set(TEST_COMMAND )
     if (${USE_DBUS})
         set(TEST_COMMAND -p ${CMAKE_CURRENT_BINARY_DIR}/${TESTNAME} -p -xunitxml -p -o -p ${CMAKE_BINARY_DIR}/test_${TESTNAME}.xml)
@@ -34,6 +35,7 @@
     target_link_libraries(${TESTNAME}
                           ${TP_QT5_LIBRARIES}
                           ${LibPhoneNumber_LIBRARIES}
+                          Qt5::Core Qt5::DBus Qt5::Test
                          )
 endmacro(generate_test)
 
@@ -46,6 +48,7 @@
     generate_test(ProtocolTest True telepathyhelper.cpp)
     generate_test(MessagesTest True telepathyhelper.cpp ofonomockcontroller.cpp handler.cpp approvertext.cpp)
     generate_test(CallTest True telepathyhelper.cpp ofonomockcontroller.cpp handler.cpp approvercall.cpp)
+    generate_test(CellBroadcastTest True telepathyhelper.cpp ofonomockcontroller.cpp handler.cpp approvertext.cpp)
 endif(DBUS_RUNNER)
 
 add_subdirectory(mock)
