=== tests/mock/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(library_SRCS
     callvolumeprivate.cpp
+    cellbroadcastprivate.cpp
     messagemanagerprivate.cpp
     messageprivate.cpp
     modemprivate.cpp
@@ -8,6 +9,7 @@
     simmanagerprivate.cpp
     networkregistrationprivate.cpp
     ofonocallvolume.cpp
+    ofonocellbroadcast.cpp
     ofonointerface.cpp
     ofonomessage.cpp
     ofonomessagemanager.cpp
@@ -33,12 +35,17 @@
 qt5_add_dbus_adaptor(library_SRCS VoiceCallManagerPrivate.xml voicecallmanagerprivate.h VoiceCallManagerPrivate)
 qt5_add_dbus_adaptor(library_SRCS VoiceCallPrivate.xml voicecallprivate.h VoiceCallPrivate)
 qt5_add_dbus_adaptor(library_SRCS SimManagerPrivate.xml simmanagerprivate.h SimManagerPrivate)
+qt5_add_dbus_adaptor(library_SRCS CellBroadcastPrivate.xml cellbroadcastprivate.h CellBroadcastPrivate)
 
-add_library(ofono-qt SHARED ${library_SRCS})
+
+add_library(ofono-qt-mock SHARED ${library_SRCS})
+set_target_properties(ofono-qt-mock PROPERTIES
+     OUTPUT_NAME "ofono-qt"
+)
 
 # Set the library version and the SOVERSION
 #set_target_properties(historyservice PROPERTIES
 #                      SOVERSION ${HISTORY_VERSION_MAJOR}
 #                      VERSION ${HISTORY_VERSION_MAJOR}.${HISTORY_VERSION_MINOR}.${HISTORY_VERSION_PATCH})
 
-qt5_use_modules(ofono-qt Core DBus)
+qt5_use_modules(ofono-qt-mock Core DBus)
