=== debian/changelog ===
telepathy-ofono (0.3.1-5) unstable; urgency=medium

  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/{rules,telepathy-ofono.install}:
    + Explicitly install files install to /usr/* and the apparmor profile we
      ship as part of the packaging.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Aug 2025 21:04:27 +0200

telepathy-ofono (0.3.1-4) unstable; urgency=medium

  * debian/patches:
    + Add 1002_mc-plugin-mcp-account-manager-ofono-on-ring.c-Type-c.patch.
      Type cast g_object_ref to McpAccountManager*. Fixes FTBFS against GCC-14.
      (Closes: #1075561).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Oct 2024 19:12:49 +0200

telepathy-ofono (0.3.1-3) unstable; urgency=medium

  * debian/:
    + Drop bin:pkgs telepathy-ofono-on-ring-ril-mc-plugin and telepathy-ofono-
      ril-mc-plugin for now. They required libhybris and are only relevant for
      Android-based devices.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 May 2024 17:03:11 +0200

telepathy-ofono (0.3.1-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 May 2024 23:21:26 +0200

telepathy-ofono (0.3.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1070233).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 May 2024 23:12:47 +0200
