=== debian/control ===
Source: telepathy-ofono
Section: comm
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dbus-test-runner,
               dconf-cli,
               dh-apparmor,
               gnome-keyring,
               libmission-control-plugins-dev (>= 1:5.14.0),
               libofono-qt-dev (>= 1.30),
               libphonenumber-dev,
               libqt5sql5-sqlite,
               libtelepathy-qt5-dev (>= 0.9.3),
               libsqlite3-dev,
               qtbase5-dev (>= 5.0),
               sqlite3,
               telepathy-mission-control-5
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/packaging/telepathy-ofono
Vcs-Git: https://salsa.debian.org/ubports-team/telepathy-ofono.git
Vcs-Browser: https://salsa.debian.org/ubports-team/telepathy-ofono/

Package: telepathy-ofono
Architecture: any
Depends: ofono,
         ${misc:Depends},
         ${shlibs:Depends},
Description: telepathy oFono connection manager
 telepathy-ofono is a Telepathy connection manager that makes it possible for
 Telepathy clients to communicate using oFono modems, enabling features like
 real phone calls and send and receive SMSs.

#Package: telepathy-ofono-ril-mc-plugin
#Conflicts: telepathy-ofono-on-ring-ril-mc-plugin
#Architecture: amd64 i386 armhf arm64
#Depends: telepathy-ofono,
#         ${misc:Depends},
#         ${shlibs:Depends},
#         libhybris-utils
#Description: telepathy oFono mission control plugin for ril modems
# telepathy-ofono is a Telepathy connection manager that makes it possible for
# Telepathy clients to communicate using oFono modems, enabling features like
# real phone calls and send and receive SMSs.
# .
# This telepathy mission-control plugin is used to automatically provision
# telepathy-ofono accounts for each available ril modem.

#Package: telepathy-ofono-on-ring-ril-mc-plugin
#Conflicts: telepathy-ofono-ril-mc-plugin
#Architecture: amd64 i386 armhf arm64
#Depends: telepathy-ofono,
#         ${misc:Depends},
#         ${shlibs:Depends},
#Description: telepathy oFono on-ring mission control plugin for ril modems
# telepathy-ofono is a Telepathy connection manager that makes it possible for
# Telepathy clients to communicate using oFono modems, enabling features like
# real phone calls and send and receive SMSs.
# .
# This telepathy mission-control plugin is used to automatically provision
# telepathy-ofono accounts for each available ril modem on ring.
