=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=libexec/telepathy

override_dh_auto_test:
#	CTEST_OUTPUT_ON_FAILURE=1 make -C obj-$(DEB_HOST_GNU_TYPE) test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Unfortunately dh_apparmor doesn't come with a debhelper addon (i.e. the
# ability to specify `dh --with=apparmor`). Its manpage suggests adding it to
# override_dh_install. However, we can do better.
execute_after_dh_auto_install:
	dh_apparmor --profile-name=usr.lib.telepathy.telepathy-ofono -ptelepathy-ofono

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
